tinyMCE.importPluginLanguagePack('mygallerytinymce','en,tr,de,sv,zh_cn,cs,fa,fr_ca,fr,pl,pt_br,nl,he,nb,ru,ru_KOI8-R,ru_UTF-8,nn,cy,es,is,zh_tw,zh_tw_utf8,sk,da');
//This var is called at bottom by tinyMCE.addPlugin
var TinyMCE_ExternalPluginPlugin = {
	//Woteva info you need
	getInfo : function() {
		return {
			longname : 'myGallery Plugin',
			author : 'Thomas Boley',
			authorurl : 'http://www.wildbits.de',
			infourl : 'http://www.wildbits.de/mygallery/',
			version : "1.4"
		};
	},
	//This adds the button image itself and its command
	getControlHTML : function(cn) {
		switch (cn) {
			case "mygallerytinymce":
				return tinyMCE.getButtonHTML(cn, 'myGallery', '{$pluginurl}/images/mgbrowser.gif', 'mygallerytinymce');
		}
		return "";
	},
	//This executes the button call to an external javascript
	execCommand : function(editor_id, element, command, user_interface, value) {
		switch (command) {
			case "mygallerytinymce":
					openmybrowser();
			return true;
		}
		return false;
	}
};
//Registers the plugin name and the functions above with tinyMCE. 'externalplugin' is the plugin name called in mybuttons.php
tinyMCE.addPlugin("mygallerytinymce", TinyMCE_ExternalPluginPlugin);